org.apache.cassandra.transport

## Class RequestThreadPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - io.netty.util.concurrent.AbstractEventExecutor
    - - org.apache.cassandra.transport.RequestThreadPoolExecutor

All Implemented Interfaces:
  io.netty.util.concurrent.EventExecutor, io.netty.util.concurrent.EventExecutorGroup, java.lang.Iterable<io.netty.util.concurrent.EventExecutor>, java.util.concurrent.Executor, java.util.concurrent.ExecutorService, java.util.concurrent.ScheduledExecutorService

    public class RequestThreadPoolExecutor
    extends io.netty.util.concurrent.AbstractEventExecutor

### Constructor Summary

Constructors
Constructor and Description
`RequestThreadPoolExecutor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `awaitTermination(long timeout, java.util.concurrent.TimeUnit unit)`
`void` `execute(java.lang.Runnable command)`
`boolean` `inEventLoop(java.lang.Thread thread)`
`boolean` `isShutdown()`
`boolean` `isShuttingDown()`
`boolean` `isTerminated()`
`io.netty.util.concurrent.EventExecutorGroup` `parent()`
`void` `shutdown()`
`io.netty.util.concurrent.Future<?>` `shutdownGracefully(long l, long l2, java.util.concurrent.TimeUnit timeUnit)`
`java.util.List<java.lang.Runnable>` `shutdownNow()`
`io.netty.util.concurrent.Future<?>` `terminationFuture()`

### Methods inherited from class io.netty.util.concurrent.AbstractEventExecutor

`inEventLoop, iterator, newFailedFuture, newProgressivePromise, newPromise, newSucceededFuture, newTaskFor, newTaskFor, next, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, shutdownGracefully, submit, submit, submit`

### Methods inherited from class java.util.concurrent.AbstractExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.ExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RequestThreadPoolExecutor

    public RequestThreadPoolExecutor()

### Method Detail

#### isShuttingDown

    public boolean isShuttingDown()

#### shutdownGracefully

    public io.netty.util.concurrent.Future<?> shutdownGracefully(long l,
                                                                 long l2,
                                                                 java.util.concurrent.TimeUnit timeUnit)

#### terminationFuture

    public io.netty.util.concurrent.Future<?> terminationFuture()

#### shutdown

    public void shutdown()

Specified by:
  `shutdown` in interface `io.netty.util.concurrent.EventExecutorGroup`
Specified by:
  `shutdown` in interface `java.util.concurrent.ExecutorService`
Specified by:
  `shutdown` in class `io.netty.util.concurrent.AbstractEventExecutor`

#### shutdownNow

    public java.util.List<java.lang.Runnable> shutdownNow()

Specified by:
  `shutdownNow` in interface `io.netty.util.concurrent.EventExecutorGroup`
Specified by:
  `shutdownNow` in interface `java.util.concurrent.ExecutorService`
Overrides:
  `shutdownNow` in class `io.netty.util.concurrent.AbstractEventExecutor`

#### isShutdown

    public boolean isShutdown()

#### isTerminated

    public boolean isTerminated()

#### awaitTermination

    public boolean awaitTermination(long timeout,
                                    java.util.concurrent.TimeUnit unit)
                             throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### parent

    public io.netty.util.concurrent.EventExecutorGroup parent()

#### inEventLoop

    public boolean inEventLoop(java.lang.Thread thread)

#### execute

    public void execute(java.lang.Runnable command)